public static final class RestartClusterRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
RestartClusterRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
RestartClusterRequest |
build() |
RestartClusterRequest.Builder |
clusterId(String clusterId)
The ID of the cluster.
|
RestartClusterRequest.Builder |
instanceId(String instanceId)
The ID of the instance.
|
RestartClusterRequest.Builder |
podNameList(String podNameList)
The names of pods.
|
RestartClusterRequest.Builder |
requestPars(String requestPars)
The extended request parameters in the JSON format.
|
public RestartClusterRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public RestartClusterRequest.Builder clusterId(String clusterId)
The ID of the cluster.
example:mse-09k1q11****
public RestartClusterRequest.Builder instanceId(String instanceId)
The ID of the instance.
example:mse-cn-78v1l83****
public RestartClusterRequest.Builder podNameList(String podNameList)
The names of pods. You can specify the names of multiple pods at a time. Separate multiple pod names with commas (,). Example: mse-a8aba010-1629719288255-reg-center-0-1,mse-a8aba010-1629719288255-reg-center-0-2.
The specified pods must belong to the current cluster and be associated with the specified instance. Otherwise, a restart exception occurs.
example:mse-a8aba010-1629719288255-reg-center-0-1
public RestartClusterRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public RestartClusterRequest build()
Copyright © 2026. All rights reserved.